export declare type ProvinsiContract = {
    id: number;
    name: String;
};
export declare type KotaContract = {
    id: number;
    provinsi_id: ProvinsiContract['id'];
    name: String;
};
export declare type KecamatanContract = {
    id: number;
    provinsi_id: ProvinsiContract['id'];
    kota_id: KotaContract['id'];
    postal_code: number | null;
    name: String;
};
export declare type AddressContract = {
    provinsi: ProvinsiContract[];
    kota: KotaContract[];
    kecamatan: KecamatanContract[];
};
export declare const Address: AddressContract;
export declare function findById<T extends keyof AddressContract>(type: T, id: Number): KecamatanContract | KotaContract | ProvinsiContract;
export declare const flattenAddress: () => {
    provinsi: String;
    kota: String;
    kecamatan: String;
    postal_code: number | null;
    label: string;
    id: number;
}[];
