"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenAddress = exports.findById = exports.Address = void 0;
const wilayah_json_1 = require("./assets/wilayah.json");
const lodash_map_1 = __importDefault(require("lodash.map"));
const lodash_filter_1 = __importDefault(require("lodash.filter"));
exports.Address = {
    provinsi: wilayah_json_1.provinsi, kota: wilayah_json_1.kota, kecamatan: wilayah_json_1.kecamatan
};
function findById(type, id) {
    return lodash_filter_1.default(exports.Address[type], (value) => value.id == id)[0];
}
exports.findById = findById;
const flattenAddress = () => {
    return lodash_map_1.default(exports.Address.kecamatan, k => {
        const kabkotLabel = findById('kota', k.kota_id);
        const provinsiLabel = findById('provinsi', k.provinsi_id);
        let label = `${k.name.trim()}, ${kabkotLabel.name}, ${provinsiLabel.name}`;
        if (k.postal_code)
            label += `, ${k.postal_code}`;
        return {
            provinsi: provinsiLabel.name,
            kota: kabkotLabel.name,
            kecamatan: k.name,
            postal_code: k.postal_code,
            label,
            id: k.id
        };
    });
};
exports.flattenAddress = flattenAddress;
